## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanOutputStream::UnsupportedEncodingException Class Reference

Inheritance diagram for XalanOutputStream::UnsupportedEncodingException:

[legend]
Collaboration diagram for XalanOutputStream::UnsupportedEncodingException:

[legend]
List of all members.

## Public Member Functions

- UnsupportedEncodingException (const XalanDOMString &theEncoding, XalanDOMString &theBuffer)
- UnsupportedEncodingException (const UnsupportedEncodingException &other)
- virtual ~UnsupportedEncodingException ()
- const XalanDOMString & getEncoding () const
- virtual const XalanDOMChar * getType () const
    Retrieve type of exception.

## Constructor & Destructor Documentation

XalanOutputStream::UnsupportedEncodingException::UnsupportedEncodingException | ( | const XalanDOMString & | theEncoding,
|  | XalanDOMString & | theBuffer
| ) |

XalanOutputStream::UnsupportedEncodingException::UnsupportedEncodingException | ( | const UnsupportedEncodingException & | other | ) |

virtual XalanOutputStream::UnsupportedEncodingException::~UnsupportedEncodingException | ( |  | ) | `[virtual]`

## Member Function Documentation

const XalanDOMString& XalanOutputStream::UnsupportedEncodingException::getEncoding | ( |  | ) | const

virtual const XalanDOMChar* XalanOutputStream::UnsupportedEncodingException::getType | ( |  | ) | const`[virtual]`

| Retrieve type of exception. Returns: type of exception Reimplemented from XalanOutputStream::XalanOutputStreamException.

The documentation for this class was generated from the following file:

- XalanOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.